aura_env.shorten = function(val)
	local function round(var, n)
		if n then
			var = math.floor((var * 10 ^ n) + 0.5) / (10 ^ n)
		else
			var = math.floor(var + 0.5)
		end
		return var
	end
	local n = 2
	if val < 1e3 then
		return round(val, n)
	elseif val > 1e3 and val < 1e6 then
		return round(val / 1e3, n) .. "k"
	elseif val > 1e6 and val < 1e9 then
		return round(val / 1e6, n) .. "M"
	elseif val > 1e9 then
		return round(val / 1e9, n) .. "G"
	end
end
